Subject: Re: bug#74663: Emacs crashes with Segfault while doing basic code editing

From: Eli Zaretskii <[email-masked]>
Date: Tue, 03 Dec 2024 15:10:01 +0200

> Date: Mon, 2 Dec 2024 11:35:38 -0700
> From: Zan Owsley <[email-masked]>
> 
> I'm getting these crashes periodically while simply doing some code 
> editing. Corfu is active and Eglot is communicating with a language 
> server, although this has occurred with a few languages and different 
> language servers already. I have not been able to reproduce this with my 
> init.el inactive, but since very little of my config seems to be in play 
> here, I'm hoping this information is still helpful. My config has been 
> super stable for quite a while too, although this problem has shown up 
> only since moving to Arch linux from Ubuntu. The backtraces always look 
> like this:
> 
> 
> GDB 'bt full':
> 
> 
> (gdb) bt full
> #0  0x00005555557d1be5 in Fget ()
> No symbol table info available.
> #1  0x000055555571ede2 in parse_modifiers ()
> No symbol table info available.
> #2  0x0000555555736b49 in ?? ()
> No symbol table info available.
> #3  0x0000555555724b4b in read_char ()

Thanks, I believe this is bug#71744, which was already solved for the
upcoming Emacs 30.  You didn't say which Emacs version you are using,
so I'm guessing it's not Emacs 30?  If so, upgrading or installing the
patch in

  https://debbugs.gnu.org/cgi/bugreport.cgi?bug=71744;att=5;msg=44;filename=0005-Don-t-ignore-Wclobbered-in-keyboard.c.patch

should solve this.